<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\tenant;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\tenant\TenantAgreeLists;
use app\adminapi\logic\setting\web\WebSettingLogic;
use app\adminapi\logic\tenant\TenantAgreeLogic;
use app\adminapi\validate\tenant\TenantAgreeValidate;


/**
 * TenantAgree控制器
 * Class TenantAgreeController
 * @package app\adminapi\controller
 */
class TenantAgreeController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/26 14:54
     */
    public function lists()
    {
        return $this->dataLists(new TenantAgreeLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/26 14:54
     */
    public function add()
    {
        $params = (new TenantAgreeValidate())->post()->goCheck('add');
        $result = TenantAgreeLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(TenantAgreeLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/26 14:54
     */
    public function edit()
    {
        $params = (new TenantAgreeValidate())->post()->goCheck('edit');
        $result = TenantAgreeLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(TenantAgreeLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/26 14:54
     */
    public function delete()
    {
        $params = (new TenantAgreeValidate())->post()->goCheck('delete');
        TenantAgreeLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/26 14:54
     */
    public function detail()
    {
        $params = (new TenantAgreeValidate())->goCheck('detail');
        $result = TenantAgreeLogic::detail($params);
        return $this->data($result);
    }
    /**
     * @notes 协议详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/26 14:54
     */
    public function agreeDetail()
    {
        $result = WebSettingLogic::getTenantAgreement();
        return $this->data($result);
    }
    /**
     * @notes 设置协议
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/26 14:54
     */
    public function setAgree()
    {
        $params = request()->post();
        WebSettingLogic::setTenantAgreement($params);
        return $this->data($params);
    }
}